//***********************************************************************
//Beschreibung	: Euler'schefunkton				 		   				*
//Autor			: Andreas Hauri											*
//Datum			: 24.12.02												*
//Fach			: Informatik											*
//***********************************************************************


public class EulerHauri
{

  	static public void main( String[] args )
  	{
		long n;
		System.out.println("Bitte geben sie eine Zahl ein:");
		n = (long) InOut.getDouble();
		System.out.println("Ausgabe:");
		System.out.println(Eul(n));
  	}

  	static public long Eul(long a)
	{
		long k = a;
		double res = 1;
		for (long i=2;i<(a+1);i++)
		{
			    if (a%i==0)
				{
					a = teil(a,i);
					res = (res*(1-(double)1/i));
				}

		}
		return ((long)(k*res));
  	}

	public static long teil(long a,long b)
	{
		 while(a%b ==0)
		 {
			 a = a/b;
		 }
		 return a;
    }



}